package com.khmer9.lotto.remote.service

import com.khmer9.lotto.remote.*
import io.reactivex.Single
import retrofit2.http.*

interface ApiService {


    @POST("/v2/mobile/login")
    @Headers("No-Authentication: true")
    fun login(@Body loginRequest: LoginRequest): Single<LoginResponse>

    @GET("/v2/mobile/getMasterDataLoto/{userId}")
    fun remoteMainScreen(@Path(value = "userId") userId: String?): Single<MainResponse>

    @POST("/v2/mobile/createBetting")
    fun createBetting(@Body request: PlayRequest): Single<PlayResponse>

    @GET("/v2/mobile/getList17LotoRamdomResult")
    fun remoteResultScreen(): Single<ResultResponse>

    @GET("/v2/mobile/getStatement/{userId}")
    fun remoteReportScreen(@Path(value = "userId") userId: String?): Single<ReportResponse>

    @FormUrlEncoded
    @PUT("/v2/mobile/changePassword/{userId}")
    fun updatePassword(@Path(value = "userId") userId: String?, @Field(value="user_name") userName: String, @Field(value="password") password: String): Single<UpdatePwdResponse>

}